Gets a list of inventory-out orders within the WineDirect fulfillment system
curl --request POST \
--url https://api.example.com/api/v1/Transfers/OUTs/Search \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Transfers/OUTs/Search"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Transfers/OUTs/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"supplierId": "<string>",
"supplierName": "<string>",
"warehouseCode": "<string>",
"warehouseName": "<string>",
"orderNumber": "<string>",
"referenceNumber": "<string>",
"orderedDate": "2023-11-07T05:31:56Z",
"requestedPriority": "<string>",
"requestDate": "2023-11-07T05:31:56Z",
"statusCode": "<string>",
"status": "<string>",
"createdBy": "<string>",
"isEditable": true
}
]
}Gets a list of inventory-out orders within the WineDirect fulfillment system
POST
/
api
/
v1
/
Transfers
/
OUTs
/
Search
Gets a list of inventory-out orders within the WineDirect fulfillment system
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
SupplierId is the unique ID for the owner of items in the system
Minimum string length:
2The warehouse (Code)
"GLW" - Glenwillow,
"WDI" - Green Island,
"PSO" - Paso Robles,
"SMA" - Santa Maria,
"SHW" - Willamette Valley
"DAL" - Dallas
The SKU of the customer
The beginning date of the search range
YYYY-MM-DD
The ending date of the search range
YYYY-MM-DD
Was this page helpful?